module DKAutomaton exposing (..)

import ContextFreeGrammar exposing (..)


type alias DKAutomaton tt nt state =
    { startState : state
    , startSymbol : nt
    , delta : state -> Symbol tt nt -> state

    -- , acceptingStates : List state
    , whichReduction : state -> Maybe (Production tt nt)
    }
